"use strict";

this.name        = "yah_setf_ad_script"; 
this.author      = "spara";
this.description = "Changes ads on YAH set F";

this.shipSpawned = function() {
	this.$numberOfAds = 25;
	this.$currentAd = 1 + Math.floor(Math.random() * (this.$numberOfAds));
	this._changeAd(this.$currentAd);
	this.$billboardTimer = new Timer(this, this._rotateAds, 0, 15);
}

this._rotateAds = function() {
	if (ship) {
		if (this.$currentAd === this.$numberOfAds) this.$currentAd = 1;
		else this.$currentAd++;
		this._changeAd(this.$currentAd);
	}
	else delete this.$billboardTimer;
}

this._changeAd = function(adNumber) {
	if (adNumber < 10) var diff = "yah_set_F_0" + adNumber + ".png";
	else var diff = "yah_set_F_" + adNumber + ".png";
	ship.setMaterials({"yah_set_F_01.png": {diffuse_map: diff, illumination_map: "yah_billboard_illuminate.png", "illumination_modulate_color": (255, 255, 0)}});
}
